package com.tsl3060.open.extend.core.notify;

import com.alibaba.fastjson2.annotation.JSONField;

public class CarbonIntegralNotify {
    private String openid;
    /**
     * 绿色积分订单号
     */
    @JSONField(name = "order_no")
    private String orderNo;
    /**
     * 类型id
     */
    @JSONField(name = "type_id")
    private String typeId;
    /**
     * 类型名称
     */
    @JSONField(name = "type_name")
    private String typeName;
    /**
     * 绿色积分变动数量(整形，单位：0.01)
     */
    private String value;
    /**
     * 变动后余额（整形，单位0.01)
     */
    private String balance;
    /**
     * 发生时间，格式：yyyy-MM-dd HH:mm:ss
     */
    private String time;
    /**
     * 备注信息
     */
    private String fettle;


    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getBalance() {
        return balance;
    }

    public void setBalance(String balance) {
        this.balance = balance;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getFettle() {
        return fettle;
    }

    public void setFettle(String fettle) {
        this.fettle = fettle;
    }

    @Override
    public String toString() {
        return "CarbonIntegralNotify{" +
                "openId='" + openid + '\'' +
                ", orderNo='" + orderNo + '\'' +
                ", typeId='" + typeId + '\'' +
                ", typeName='" + typeName + '\'' +
                ", value='" + value + '\'' +
                ", balance='" + balance + '\'' +
                ", time='" + time + '\'' +
                ", fettle='" + fettle + '\'' +
                '}';
    }
}
