package com.tsl3060.open.extend.core;

import com.tsl3060.open.extend.core.notify.CarbonIntegralNotify;
import com.tsl3060.open.extend.core.notify.CarbonIntegralNotifyAnswer;
import com.tsl3060.open.extend.core.notify.CarbonOrderNotify;
import com.tsl3060.open.extend.core.notify.CarbonOrderNotifyAnswer;

public interface INotifyListener {
    /**
     * 低碳积分通知
     *
     * @param notify
     * @return
     */
    CarbonOrderNotifyAnswer carbon(CarbonOrderNotify notify);


    /**
     * 绿色值变动通知
     *
     * @param notify 变动通知
     * @return 接收结果
     */
    CarbonIntegralNotifyAnswer integral(CarbonIntegralNotify notify);
}
